GPS_DeleteEvent = {};
  GPS_DeleteEvent_mt = Class(GPS_DeleteEvent, Event);
  
  InitEventClass(GPS_DeleteEvent, "GPS_DeleteEvent");
  
  function GPS_DeleteEvent:emptyNew()
      local self = Event:new(GPS_DeleteEvent_mt);
      return self;
  end;
  
  function GPS_DeleteEvent:new(object, slot,x,z,dx,dz,w,o)
      local self = GPS_DeleteEvent:emptyNew()
      self.slot = slot;
	  
	  
      self.object = object;
      return self;
  end;
  
  function GPS_DeleteEvent:readStream(streamId, connection)
      local id = streamReadInt32(streamId);
      self.slot = streamReadUIntN(streamId, 8);
	  
      
	  
	  self.object = networkGetObject(id);
      self:run(connection);
  end;
  
  function GPS_DeleteEvent:writeStream(streamId, connection)
      streamWriteInt32(streamId, networkGetObjectId(self.object));
	  streamWriteUIntN(streamId, self.slot, 8);
	 

  end;
  
  function GPS_DeleteEvent:run(connection)
	  if GPS.Store == nil then
		GPS.Store = {};
	  end;
	  GPS.Store[self.slot] = nil;
	  
	 
	  
      if not connection:getIsServer() then
          g_server:broadcastEvent(GPS_DeleteEvent:new(self.object, self.slot), nil, connection, self.object);
      end;
  end;